org.apache.maven.artifact.metadata

## Interface ArtifactMetadata

- All Known Subinterfaces:
    RepositoryMetadata
  All Known Implementing Classes:
    AbstractArtifactMetadata, AbstractRepositoryMetadata, ArtifactRepositoryMetadata, GroupRepositoryMetadata, ProjectArtifactMetadata, SnapshotArtifactRepositoryMetadata

      public interface ArtifactMetadata

  Contains metadata about an artifact, and methods to retrieve/store it from an artifact repository.
  Version:
    $Id: ArtifactMetadata.java 495147 2007-01-11 07:47:53Z jvanzyl $
  Author:
    Brett Porter

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `extendedToString()`
    `java.lang.String` | `getArtifactId()`
    `java.lang.String` | `getBaseVersion()`
    `java.lang.String` | `getGroupId()`
    `java.lang.Object` | `getKey()`
    `java.lang.String` | `getLocalFilename(ArtifactRepository repository)` Get the filename of this metadata on the local repository.
    `java.lang.String` | `getRemoteFilename()` Get the filename of this metadata on the remote repository.
    `void` | `merge(ArtifactMetadata metadata)` Merge a new metadata set into this piece of metadata.
    `boolean` | `storedInArtifactVersionDirectory()` Whether this metadata should be stored alongside the artifact.
    `boolean` | `storedInGroupDirectory()` Whether this metadata should be stored alongside the group.
    `void` | `storeInLocalRepository(ArtifactRepository localRepository, ArtifactRepository remoteRepository)` Store the metadata in the local repository.

- - ### Method Detail

    - #### storedInArtifactVersionDirectory

          boolean storedInArtifactVersionDirectory()

      Whether this metadata should be stored alongside the artifact.

    - #### storedInGroupDirectory

          boolean storedInGroupDirectory()

      Whether this metadata should be stored alongside the group.

    - #### getGroupId

          java.lang.String getGroupId()

    - #### getArtifactId

          java.lang.String getArtifactId()

    - #### getBaseVersion

          java.lang.String getBaseVersion()

    - #### getKey

          java.lang.Object getKey()

    - #### getLocalFilename

          java.lang.String getLocalFilename(ArtifactRepository repository)

      Get the filename of this metadata on the local repository.
      Parameters:
        `repository` - the remote repository it came from
      Returns:
        the filename

    - #### getRemoteFilename

          java.lang.String getRemoteFilename()

      Get the filename of this metadata on the remote repository.
      Returns:
        the filename

    - #### merge

          void merge(ArtifactMetadata metadata)

      Merge a new metadata set into this piece of metadata.
      Parameters:
        `metadata` - the new metadata

    - #### storeInLocalRepository

          void storeInLocalRepository(ArtifactRepository localRepository,
                                    ArtifactRepository remoteRepository)
                                      throws RepositoryMetadataStoreException

      Store the metadata in the local repository.
      Parameters:
        `localRepository` - the local repository
        `remoteRepository` - the remote repository it came from
      Throws:
        `RepositoryMetadataStoreException`

    - #### extendedToString

          java.lang.String extendedToString()